//
// Created by lukas on 22.08.20.
//

#pragma once

#include <Adafruit_Sensor.h>
#include <DHT.h>
#include "Pins.h"

class Temperature {
public:
    Temperature() : dht(TempSensorPin, DHT22){};

    /**
     * initialize the temperature sensor
     */
    void init();

    /**
     * read the temperature value in C
     * @return float value of temperature
     */
    float getTemp();

    /**
     * read current humidity value in %
     * @return float value of humidity
     */
    float getHum();

private:
    DHT dht;
};
